<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background"
    tools:context="helios.helios.MainActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="5sp">

        <LinearLayout
            android:id="@+id/Tiempo"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical"
            android:padding="5sp">

            <TextView
                android:id="@+id/textView_titulo"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="top|center_vertical|center_horizontal"
                android:text="@string/tiempo_estimado"
                android:textAlignment="center"
                android:textColor="@color/white"
                android:textSize="25dp" />

            <TextView
                android:id="@+id/textView_reloj"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/background"
                android:gravity="center"
                android:text="@string/tiempo"
                android:textAlignment="center"
                android:textColor="@color/color_reloj"
                android:textSize="50dp" />
        </LinearLayout>

        <Space
            android:id="@+id/Espacio1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@android:color/darker_gray"
            android:padding="5sp" />

        <LinearLayout
            android:id="@+id/CantidadImagenes"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal"
            android:padding="5sp">

            <TextView
                android:id="@+id/textView_cantidad_imagenes"
                android:layout_width="180dp"
                android:layout_height="match_parent"
                android:gravity="center|start"
                android:padding="10dp"
                android:text="@string/cantidad_previstas"
                android:textColor="@color/white"
                android:textSize="16dp" />

            <EditText
                android:id="@+id/EditText_cantidad_imagenes_running"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:inputType="number"
                android:padding="10dp"
                android:textAlignment="center"
                android:textColor="@color/white"
                android:textSize="25sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/AnguloBarrido"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal"
            android:padding="5sp">

            <TextView
                android:id="@+id/textView_angulo_barrido"
                android:layout_width="180dp"
                android:layout_height="match_parent"
                android:gravity="center|start"
                android:padding="10dp"
                android:text="@string/angulo_barrido"
                android:textColor="@color/white"
                android:textSize="16dp" />

            <EditText
                android:id="@+id/EditText_angulo_barrido_running"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:inputType="number"
                android:padding="10dp"
                android:textColor="@color/white"
                android:textSize="25sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/VelocidadGiro"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal"
            android:padding="5sp">

            <TextView
                android:id="@+id/textView_velocidad"
                android:layout_width="180dp"
                android:layout_height="match_parent"
                android:gravity="center|start"
                android:padding="10dp"
                android:text="@string/velocidad_giro"
                android:textColor="@color/white"
                android:textSize="16dp" />

            <EditText
                android:id="@+id/EditText_velocidad_running"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:inputType="number"
                android:padding="10dp"
                android:textColor="@color/white"
                android:textSize="25sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/Intervalo"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal"
            android:padding="5sp">

            <TextView
                android:id="@+id/textView_intervalo"
                android:layout_width="180dp"
                android:layout_height="match_parent"
                android:gravity="center|start"
                android:padding="10dp"
                android:text="@string/intervalo"
                android:textColor="@color/white"
                android:textSize="16dp" />

            <EditText
                android:id="@+id/EditText_intervalo_running"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:inputType="number"
                android:padding="10dp"
                android:textColor="@color/white"
                android:textSize="25sp" />

        </LinearLayout>

        <Space
            android:id="@+id/Espacio2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="10dp"
            android:layout_weight="1" />

        <LinearLayout
            android:id="@+id/Botones"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center_vertical|center_horizontal|center"
            android:orientation="horizontal"
            android:padding="5sp">

            <Space
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <Switch
                android:id="@+id/switch2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="11dp"
                android:layout_marginStart="11dp"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:text="@string/barrido_vertical"
                android:textColor="@color/white"
                android:textSize="18sp" />

            <Space
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <Button
                android:id="@+id/button_calcular"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@color/start_button"
                android:gravity="center_vertical|center_horizontal|center"
                android:text="@string/calcular"
                android:textColor="@color/black"
                android:textSize="17dp" />

            <Space
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

        </LinearLayout>

    </LinearLayout>

</android.support.constraint.ConstraintLayout>

